%{?nodejs_find_provides_and_requires}

%global packagename xmlhttprequest-ssl
%global enable_tests 1

Name:		nodejs-xmlhttprequest-ssl
Version:	1.5.3
Release:	1%{?dist}
Summary:	XMLHttpRequest for Node

License:	MIT
URL:		https://github.com/mjwwit/node-XMLHttpRequest
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:	
%endif

%description
XMLHttpRequest for Node


%prep
%autosetup -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
cd ./tests && node test-constants.js && node test-events.js && node test-exceptions.js && node test-headers.js && node test-redirect-302.js && node test-redirect-303.js && node test-redirect-307.js && node test-request-methods.js && node test-request-protocols.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md example/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Mar 29 2017 Jared Smith <jsmith@fedoraproject.org> - 1.5.3-1
- Initial packaging
